//Copyright(c)[2025] SATO CORPORATION. All rights reserved.
//Use of this software is governed by the End User License Agreement (EULA) included with the distribution.
//For the latest version of the EULA, please visit our website.

using System;
using System.Windows.Forms;

namespace SampleCode
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {

            string action = "";
            if (args == null || args.Length == 0)
            {
                // no arguments
            }
            else
            {
                action = args[0].ToString();
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new SampleForm(action));

        }
    }
}
